# encoding: utf-8

require 'coveralls'
Coveralls.wear!

require 'webmock/rspec'

require_relative '../sources/ttwatcher'

RSpec.configure do |config|
  WebMock.disable_net_connect! allow_localhost: true

  config.after(:all) do
    pathname = Pathname.new(File.join(__root__, 'tmp'))
    pathname.children.reject { |c| c.basename.to_s == '.gitkeep' }
                     .each(&:unlink)
  end
end

SimpleCov.coverage_dir "spec/coverage"
